// .................................................
// .      sneaks like saki Ferguson scripts        .
// .    Scripts for ut4_southferguson textures     .
// .              Urban Terror 4.1                 .
// ............................................... !
//
// content
// utf_bluesky script
// cgtsls_signcamp0015 script
// cgtsls_signrad0003 script
// cgtsls_signrc0102 script
// cgtsls_signskl0012 script
// cgtsls_signslo0086 script
// cgtsls_signtres0013 script
// sls_climbgaurd script
// sls_meshlozenge script
// light_cover script
// light_fluro script
// credit

textures/ut4_southferguson/utf_bluesky
{
	qer_editorimage textures/ut4_southferguson/utf_bluesky.tga		//name it .tga even if its not

	q3map_lightmapFilterRadius 0 4						//#self, #other surfaces //gaussian blur level
//	q3map_lightsubdivide 386						//use q3map_skyLight instead
	q3map_backsplash 0 0							//turns off q3map_backSplash default [self lighting effect]

	q3map_sunExt 1 0.85 0.75 300 140 36 3 16				//always sunExt //#r #g #b, #intensity[contrast high is dark shadow], #degrees[0east 90north 180west 270south], #elevation [0sunrise/sunset 90noon], #deviance, #samples
	q3map_skyLight 255 4							//#light brightness value, #transition quality[smoothness]
//	q3map_lightRGB 1 0.85 0.5						//use q3map_sunExt instead, this line did not effect bounced light
	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm nomarks							//use surfaceparm noimpact instead
	surfaceparm nodlight

	skyparms env/ut4_southferguson/utf_bluesky 1024 -			//scrolling clouds must have this second value
	nopicmip
	nomipmaps
	{
		map textures/ut4_southferguson/utf_bluesky.tga
		tcMod scale 1 1							//scale 1=100% //2=50%
//		tcMod scroll 0.003 -0.001
		rgbGen identityLighting
	}
	{
		clampmap textures/ut4_southferguson/utf_blueskymask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod transform 1 0 0 1 -1 -1			//tcMod transform 1 0 0 1 -1 -1
		tcMod scale 1 1
	}
}

textures/ut4_southferguson/cgtsls_signcamp0015
{
	qer_editor_image textures/ut4_southferguson/cgtsls_signcamp0015.tga
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/ut4_southferguson/cgtsls_signcamp0015.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ut4_southferguson/cgtsls_signrad0003
{
	qer_editor_image textures/ut4_southferguson/cgtsls_signrad0003.tga
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/ut4_southferguson/cgtsls_signrad0003.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ut4_southferguson/cgtsls_signrc0102
{
	qer_editor_image textures/ut4_southferguson/cgtsls_signrc0102.tga
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/ut4_southferguson/cgtsls_signrc0102.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ut4_southferguson/cgtsls_signskl0012
{
	qer_editor_image textures/ut4_southferguson/cgtsls_signskl0012.tga
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/ut4_southferguson/cgtsls_signskl0012.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ut4_southferguson/cgtsls_signslo0086
{
	qer_editor_image textures/ut4_southferguson/cgtsls_signslo0086.tga
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/ut4_southferguson/cgtsls_signslo0086.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_southferguson/cgtsls_signtres0013
{
	qer_editor_image textures/ut4_southferguson/cgtsls_signtres0013.tga
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/ut4_southferguson/cgtsls_signtres0013.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ut4_southferguson/sls_climbgaurd
{
	qer_editor_image textures/ut4_southferguson/sls_climbgaurd.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	nopicmip
	nomipmaps
	{
		map textures/ut4_southferguson/sls_climbgaurd.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ut4_southferguson/sls_meshlozenge
{
	qer_trans 0.4
	qer_editor_image textures/ut4_southferguson/sls_meshlozenge.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
//	nopicmip								//removed due to perspective warping at long distances; regular/patterned geometry combined with transparency? solition waves?
//	nomipmaps
	{
		map textures/ut4_southferguson/sls_meshlozenge.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ut4_southferguson/light_cover
{
   qer_editorimage textures/ut4_southferguson/light_cover.tga
   q3map_surfacelight 225							//	q3map_surfacelight 7500
   {
      map textures/ut4_southferguson/light_cover.tga
      rgbGen identity								//	blendFunc GL_DST_COLOR GL_ZERO
   }
}

textures/ut4_southferguson/light_fluro
{
   qer_editorimage textures/ut4_southferguson/light_fluro.tga
   q3map_surfacelight 35000
   {
      map textures/ut4_southferguson/light_fluro.tga
      rgbGen identity
   }
}

// credits
//
// Thanks Xi and Del for your help with my first scripts and custom sky textures
//
// all notes writen behind // are notes only and do not effect the script
// to avoid confict and corruption of these files, rename files when/if you modify
// give credit where credit is due
//
// To all the script writers, textures creators, map designers, past, present and future; Thanks for your contribution and inspiration
//
// Thanks Snafu for showing me Urban Terror
//
// Ultimatly to my family; the greatest girls in the world. Thanks for your support and encouragement
//
// regards,
// sneaks
// July 2010